summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD13
2 files changed, 14 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b5972697e24..42370bcd2f5 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,22 +1,25 @@
pkgbase = gog-stellaris
pkgdesc = A strategy game with space exploration at its core
- pkgver = 2.7.2
+ pkgver = 2.8.0
pkgrel = 1
url = https://www.gog.com/game/stellaris
arch = x86_64
license = custom
makedepends = unzip
makedepends = findutils
+ makedepends = lgogdownloader
depends = bash
depends = sed
depends = glibc
depends = libx11
depends = libglvnd
depends = gcc-libs
- source = stellaris_2_7_2_38578.sh::gogdownloader://stellaris/en3installer0
+ optdepends = gog-stellaris-anniversary-portraits=2.8.0
+ optdepends = gog-stellaris-horizon-signal=2.8.0
+ source = stellaris_2_8_0.sh::gogdownloader://1508702879/en3installer0
source = Stellaris.desktop
source = start-stellaris.sh
- sha512sums = 68135960fc348d6667de2ae69ab02040e4a0d09ffe738d9c16121f33d82418695bd7d5ae55762f9c5cfd633430f4d4ea2cec06630668548eb1994f7f970f4471
+ sha512sums = 483c03b53c5aa2f8d8d68e63f0627d3ca84622e5c5e3860f6a2938ac1fa4437238cf46f38cc5e4a809acfba4f9568a1478467b98e7bc74a233cacfddba8b280c
sha512sums = adb27526719b22f71211cd0398f1323a3821821f12fd6998f592eb5e31c0891234f2505e7eb0b685588116b305aaf33b78670539b26440744befc351b4776827
sha512sums = 909ba5ce65d6906f7357ad12f5f9cf3a2c81c15bd6414298b91616236754c1d4bff32f0ab0f83f6449e8c6adda669351ce23fbdd80c1366b6d36c862c6435603
diff --git a/PKGBUILD b/PKGBUILD
index 85d5af7ade3..f2dcceece64 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,27 +1,30 @@
# Maintainer: Lukas1818 aur at lukas1818 dot de
pkgname=gog-stellaris
-pkgver=2.7.2
+pkgver=2.8.0
_pkgtag=$pkgver
pkgrel=1
pkgdesc="A strategy game with space exploration at its core"
arch=('x86_64')
url="https://www.gog.com/game/stellaris"
license=('custom')
-makedepends=('unzip' 'findutils')
+makedepends=('unzip' 'findutils' 'lgogdownloader')
+optdepends=("gog-stellaris-anniversary-portraits=$pkgver" "gog-stellaris-horizon-signal=$pkgver")
depends=('bash' 'sed' 'glibc' 'libx11' 'libglvnd' 'gcc-libs')
-source=("stellaris_${pkgver//./_}_38578.sh::gogdownloader://stellaris/en3installer0"
+source=("stellaris_${pkgver//./_}.sh::gogdownloader://1508702879/en3installer0"
"Stellaris.desktop"
"start-stellaris.sh")
-sha512sums=('68135960fc348d6667de2ae69ab02040e4a0d09ffe738d9c16121f33d82418695bd7d5ae55762f9c5cfd633430f4d4ea2cec06630668548eb1994f7f970f4471'
+sha512sums=('483c03b53c5aa2f8d8d68e63f0627d3ca84622e5c5e3860f6a2938ac1fa4437238cf46f38cc5e4a809acfba4f9568a1478467b98e7bc74a233cacfddba8b280c'
'adb27526719b22f71211cd0398f1323a3821821f12fd6998f592eb5e31c0891234f2505e7eb0b685588116b305aaf33b78670539b26440744befc351b4776827'
'909ba5ce65d6906f7357ad12f5f9cf3a2c81c15bd6414298b91616236754c1d4bff32f0ab0f83f6449e8c6adda669351ce23fbdd80c1366b6d36c862c6435603')
+DLAGENTS+=('gogdownloader::/usr/bin/lgogdownloader --download-file=%u -o %o')
+
prepare()
{
cd "${srcdir}"
test -d "${srcdir}/stellaris" && rm -r "${srcdir}/stellaris"
- unzip -q -d stellaris stellaris_${pkgver//./_}_38578.sh || test $? -eq 1
+ unzip -q -d stellaris stellaris_${pkgver//./_}.sh || test $? -eq 1
cd "${srcdir}/stellaris/data/noarch/game"
rm AutoClientScript.py \
AutoClientScriptOvernight.py \